Bug 195352 - sysreport's is returning a return code of 255 vice 0
sysreport's is returning a return code of 255 vice 0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysreport (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Regression
Depends On:
Blocks: 190430 202769
  Show dependency treegraph
 
Reported: 2006-06-14 17:18 EDT by Chris Williams
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0632
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 15:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Williams 2006-06-14 17:18:59 EDT
Description of problem:
sysreport-1.3.7.2-15 is returning a return code of 255 instead of 0.
This is causing Red Hat's HWcert INFO etst to fail.

sysreport-1.3.7.2-13 does not exhibit this behavior.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime


Steps to Reproduce:
1. syreport; echo $?
2. not that 255 is returned
3.
  
Actual results:
255 is returned

Expected results:
o should be returned

Additional info:
sysreport-1.3.7.2-13 does not exhibit this problem
Comment 1 Ngo Than 2006-07-17 13:37:42 EDT
it's now fixed in rawhide. I have already commited the fix in RHEL-3 CVS
Comment 2 Ngo Than 2006-08-11 08:57:22 EDT
it's now fixed in sysreport-1.3.7.2-16 
Comment 5 Ngo Than 2006-08-12 04:19:56 EDT
it's now fixed in sysreport-1.3.7.2-17
Comment 7 Ben Levenson 2006-08-14 09:21:34 EDT
fix verified in sysreport-1.3.7.2-17
Comment 9 Red Hat Bugzilla 2006-08-18 15:16:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0632.html

Note You need to log in before you can comment on or make changes to this bug.